学习计划/Bearer
Read study plan
Read one study plan by an exact id returned by the conversation, workspace context, or plan list. Tasks are returned in chronological pages with an opaque nextCursor.
Endpoint
POST
/api/v1/agent/capabilities/ielts_study_plans_get请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| planId | string | 是 | planId |
| cursor | string | 否 | Opaque nextCursor returned by the preceding page. Empty reads the first task page. |
| limit | number | 否 | Maximum plan tasks to return in this page. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_study_plans_get' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"planId":"<planId>","cursor":"","limit":6}'请求结构
{
"type": "object",
"properties": {
"planId": {
"type": "string",
"minLength": 1
},
"cursor": {
"default": "",
"description": "Opaque nextCursor returned by the preceding page. Empty reads the first task page.",
"type": "string",
"maxLength": 500
},
"limit": {
"default": 6,
"description": "Maximum plan tasks to return in this page.",
"type": "integer",
"minimum": 1,
"maximum": 8
}
},
"required": [
"planId",
"cursor",
"limit"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在